Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 520350 - SUSPEND test passes with only one or two features tested
Summary: SUSPEND test passes with only one or two features tested
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Retired
Component: Test Suite (tests)
Version: 5.3
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Greg Nichols
QA Contact: Lawrence Lim
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-31 02:50 UTC by BillSun
Modified: 2014-03-26 01:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-11 20:47:15 UTC


Attachments (Terms of Use)

Description BillSun 2009-08-31 02:50:55 UTC
Description of problem:
In recent packages, I found some SUSPEND tests pass with only "suspend to mem" tested, the exit code is "0". I paste some example here:

Example 1:
https://hardware.redhat.com/results.cgi?cert_id=507414&id=178622
Only "suspend to mem by OS" tested here, but this test is recognized as "PASSED"

Example 2:
https://hardware.redhat.com/results.cgi?cert_id=507414&id=178605
Only "suspend to mem by OS" and "suspend to mem by function key" are tested here, but this test is also  recognized as "PASSED"

Version-Release number of selected component (if applicable):
hts 5.3-17

How reproducible:
Do "SUSPEND" test with hts 5.3-17 on RHEL5.


Actual results:
Only one or two features are tested, but this test is still recognized as "PASSED"

Expected results:
All four tests: "suspend to mem by OS", "suspend to mem by function key","hibernate to mem by OS" and "hibernate to mem by function key" should be tested. *Only* after all of them succeed, the "SUSPEND" can pass.

Comment 1 Rob Landry 2009-09-03 16:12:37 UTC
I believe you're describing expected behavior.  The suspend test is required to accompany all other tests where the system provides it.  In this case the point is to verify that the network card for example continues to function after a suspend/resume cycle.  This variation of the suspend test accompanies all runs on systems with batteries and only does the OS controlled suspend to ram.  In addition the full 4 cycle suspend test is required on the same systems to verify that all of the supported suspend modes operate.


Note You need to log in before you can comment on or make changes to this bug.